Bug 1046093 - [abrt] evolution: e_table_sort_info_duplicate(): evolution killed by SIGSEGV
Summary: [abrt] evolution: e_table_sort_info_duplicate(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:866406163a82869948365539578...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-23 16:04 UTC by Christopher Beland
Modified: 2015-06-01 01:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 01:50:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (62.37 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: core_backtrace (44.68 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: dso_list (24.75 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: environ (1.39 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: maps (122.78 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: open_fds (1.29 KB, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details
File: var_log_messages (720 bytes, text/plain)
2013-12-23 16:05 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2013-12-23 16:04:56 UTC
Description of problem:
I just started up Evolution after a system crash, and it started spawning lots of subwindows, as if I had repeatedly opened the first message in my inbox for viewing.

Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        evolution
crash_function: e_table_sort_info_duplicate
executable:     /usr/bin/evolution
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 e_table_sort_info_duplicate at e-table-sort-info.c:878
 #1 connect_header at e-tree.c:398
 #2 e_tree_set_state_object at e-tree.c:1364
 #3 copy_tree_state at e-mail-reader-utils.c:796
 #4 e_mail_reader_open_selected at e-mail-reader-utils.c:893
 #9 _gtk_action_emit_activate at deprecated/gtkaction.c:906
 #10 gtk_action_activate at deprecated/gtkaction.c:939
 #11 mail_reader_key_press_event_cb at e-mail-reader.c:2543
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #17 gtk_widget_event_internal at gtkwidget.c:7168

Comment 1 Christopher Beland 2013-12-23 16:05:00 UTC
Created attachment 840848 [details]
File: backtrace

Comment 2 Christopher Beland 2013-12-23 16:05:01 UTC
Created attachment 840849 [details]
File: cgroup

Comment 3 Christopher Beland 2013-12-23 16:05:03 UTC
Created attachment 840850 [details]
File: core_backtrace

Comment 4 Christopher Beland 2013-12-23 16:05:10 UTC
Created attachment 840851 [details]
File: dso_list

Comment 5 Christopher Beland 2013-12-23 16:05:12 UTC
Created attachment 840852 [details]
File: environ

Comment 6 Christopher Beland 2013-12-23 16:05:13 UTC
Created attachment 840853 [details]
File: exploitable

Comment 7 Christopher Beland 2013-12-23 16:05:15 UTC
Created attachment 840854 [details]
File: limits

Comment 8 Christopher Beland 2013-12-23 16:05:20 UTC
Created attachment 840857 [details]
File: maps

Comment 9 Christopher Beland 2013-12-23 16:05:22 UTC
Created attachment 840858 [details]
File: open_fds

Comment 10 Christopher Beland 2013-12-23 16:05:24 UTC
Created attachment 840859 [details]
File: proc_pid_status

Comment 11 Christopher Beland 2013-12-23 16:05:25 UTC
Created attachment 840861 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-09-04 14:30:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-05-29 10:08:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.